/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomMimeType_H___INT_
#define __GdomMimeType_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "MimeType.h"
namespace WebCore {
    gpointer toGDOM(MimeType* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMMimeType : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_MIME_TYPE; }
    GDOMMimeType(PassRefPtr<WebCore::MimeType> impl);
    virtual ~GDOMMimeType();
    WebCore::MimeType* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::MimeType> m_impl;
};
G_END_DECLS

#endif /* __GdomMimeType_H___INT_*/
